=== debian/control ===
Source: platform
Priority: extra
Maintainer: Lars Op den Kamp <lars.opdenkamp@pulse-eight.com>
Build-Depends: debhelper (>= 8.0.0), cmake (>= 2.8.9)
Standards-Version: 3.9.2
Section: libs

Package: libplatform-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libplatform2 (= ${binary:Version})
Provides: libplatform-dev
Description: Platform support library -- development files
 Platform support library

Package: libplatform2
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: libplatform
Description: Platform support library
 Platform support library
